import { OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { Subject } from 'rxjs';
import { AccessService } from '../services/access.service';
export declare class AccessExpressionDirective implements OnInit {
    private template;
    private viewContainer;
    private accessService;
    ngxAccessExpr: string;
    ngxAccessExprElse?: TemplateRef<any>;
    onDestroy$: Subject<void>;
    constructor(template: TemplateRef<any>, viewContainer: ViewContainerRef, accessService: AccessService);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
