import { OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { Subject } from 'rxjs';
import { AccessService } from '../services/access.service';
export declare class AccessDirective implements OnInit {
    private template;
    private viewContainer;
    private accessService;
    private parentAccessDirective;
    ngxAccess: string;
    ngxAccessElse?: TemplateRef<any>;
    onDestroy$: Subject<void>;
    constructor(template: TemplateRef<any>, viewContainer: ViewContainerRef, accessService: AccessService, parentAccessDirective: AccessDirective);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
