export declare const TokenType: {
    PAR_OPEN: number;
    PAR_CLOSE: number;
    OP_NOT: number;
    BINARY_AND: number;
    BINARY_OR: number;
    LITERAL: string;
    END: string;
    LEAF: string;
    ATOMIC: string;
};
export declare type TokenItem = number | string;
export interface Token {
    type: number | string;
    value: string;
}
export default TokenType;
