import { Observable } from 'rxjs';
import { AccessServiceConfig } from '../config';
import { AccessStrategy } from './access-strategy.service';
export declare class AccessService {
    constructor(config: AccessServiceConfig, accessStrategy: AccessStrategy);
    can(accessPaths: string | Array<string>): Observable<boolean>;
    canExpression(accessExpression: string): Observable<boolean>;
}
