import { Observable } from 'rxjs';
import { AccessConfiguration } from './access-configuration';
export declare type HasAccessStrategy = (accessName: string) => Observable<boolean>;
export declare function setConfigurationAccess(config: AccessConfiguration): void;
export declare function setHasAccessStrategy(accessTest: HasAccessStrategy): void;
export declare function parse(expression: string): {
    path: string;
    action: string;
};
export declare function canAccessExpression(accessExpression: string): Observable<boolean>;
export declare function canAccessPaths(accessPath: string | Array<string>): Observable<boolean>;
